Bug 237153 - gdk_region_polygon crashes with certain graphic data input
Summary: gdk_region_polygon crashes with certain graphic data input
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gtk2
Version: 5.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-19 18:28 UTC by John Walicki
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0549
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 17:27:45 UTC
Target Upstream Version:


Attachments (Terms of Use)
testpoly.c (1.52 KB, text/x-csrc)
2007-06-22 18:51 UTC, Matthias Clasen
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0549 0 normal SHIPPED_LIVE gtk2 bug fix update 2007-10-30 16:10:55 UTC

Description John Walicki 2007-04-19 18:28:41 UTC
Description of problem:
An IBM product is experiencing issues with gdk_region_polygon crashes when
certain data input is loaded from a graphic.


gdk_region_polygon crashes on RHEL5(gtk2-2.10.4-16.el5). But works well on
SLED10/SLES10(gtk2-2.8.10-36).

Matthias has identified the problem:

* gdk/gdkregion-generic.h (GROWREGION): Handle the case	of nRects == 0 correctly.  

Version-Release number of selected component (if applicable):
RHEL5 gtk2-2.10.4-16.el5 

How reproducible:
A sample test case program was provided to Red Hat which demonstrates the problem.

Steps to Reproduce:
1. Scrolling a graphic with certain data will crash

Additional info:
Matthias posted a fix here
http://svn.gnome.org/viewcvs/gtk%2B?view=rev&revision=17609

Comment 2 Matthias Clasen 2007-06-22 16:59:56 UTC
Fix included in gtk2-2.10.4-17.el5

Comment 4 Matthias Clasen 2007-06-22 18:51:34 UTC
Created attachment 157638 [details]
testpoly.c

How to test:

- install gtk2-devel
- download the attached testpoly.c
- build via
  gcc -g -o testpoly testpoly.c `pkg-config --cflags --libs gtk+-2.0` 
- run it
- verify that it does not segfault (it prints out a largeish number if it
  does not crash)

Comment 7 errata-xmlrpc 2007-11-07 17:27:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0549.html



Note You need to log in before you can comment on or make changes to this bug.